Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Software-update: WordPress 5.6

WordPress logo (75 pix) Versie 5.6 van WordPress is uitgekomen. Met dit programma, dat onder een gpl-licentie beschikbaar wordt gesteld, is het mogelijk om een website of blog op te zetten en bij te houden. WordPress is eenvoudig in te stellen en kan binnen vijf minuten draaien mits er al een server met php en MySQL beschikbaar is. Er zijn mogelijkheden om de functionaliteit van WordPress verder uit te breiden met plug-ins en het uiterlijk met thema's aan te passen. De belangrijkste veranderingen die in versie 5.6 zijn aangebracht zijn hieronder voor je op een rijtje gezet:

Meer flexibiliteit in de lay-out

Breng je verhalen tot leven met meer gereedschappen waarmee je je lay-out met of zonder code kunt bewerken. Blokken met één kolom, ontwerpen met verschillende breedtes en kolommen, headers over de volledige breedte en video’s in je cover blok – breng met hetzelfde gemak kleine wijzigingen of grote uitspraken aan!

Meer blokpatronen

In geselecteerde thema’s maken voor-geconfigureerde blokpatronen het opzetten van standaardpagina’s op je site een fluitje van een cent. Ontdek de kracht van patronen om je workflow te stroomlijnen, of deel een deel van die kracht met je klanten en bespaar jezelf een paar klikken.

Upload videobijschriften direct in de blokeditor

Om je te helpen ondertiteling of bijschriften toe te voegen aan je videos, kan je ze nu uploaden in je bericht of pagina. Dit maakt het makkelijker dan ooit om videos toegankelijk te maken voor iedereen die ondertiteling nodig heeft of hiervoor de voorkeur voor heeft.

Twenty Twenty-One is er!

Twenty Twenty-One is een leeg canvas voor je ideeën en de blok-editor is het beste penseel. Het is gebouwd voor de blok-editor en zit boordevol gloednieuwe blokpatronen die je alleen in de standaardthema’s kunt krijgen. Probeer binnen enkele seconden verschillende lay-outs uit en laat het opvallende, maar tijdloze ontwerp van het thema je werk doen stralen.

Aanvullend, dit standaardthema zet de toegankelijkheid in het hart van je site. Het voldoet aan de WordPress accessibility-ready richtlijnen en behandeld verschillende meer gespecialiseerde normen van de Web Content Accessibility Guidelines (WCAG) 2.1 at level AAA. Het helpt je bij het voldoen aan het hoogste niveau van internationale toegankelijkheidsnormen wanneer je toegankelijke inhoud maakt en kiest plugins die ook toegankelijk zijn!

Een regenboog van zachte pastelkleuren

Twenty Twenty-One is perfect voor een nieuw jaar en biedt je een reeks vooraf geselecteerde kleurenpaletten in pastelkleuren, die allemaal voldoen aan de AAA-normen voor contrast. Je kan ook je eigen achtergrondkleur voor het thema kiezen, en het thema kiest automatisch bewust toegankelijke tekstkleuren voor je! Meer flexibiliteit nodig dan dat? Je kunt ook je eigen kleurenpalet kiezen uit de kleurenkiezer.

Auto-updates uitgebreid

Jarenlang konden alleen ontwikkelaars WordPress automatisch updaten. Maar nu heb je die optie, rechtstreeks in je dashboard. Als dit je eerste site is, heb je nu auto-updates klaar voor gebruik! Een bestaande site upgraden? Geen probleem! Alles is hetzelfde als voorheen.

Template voor toegankelijkheidsverklaring

Zelfs als je geen expert bent, kun je mensen met een klik op de knop laten weten dat je site zich inzet voor toegankelijkheid! De nieuwe functie plugin bevat een template kopie die je kan updaten en publiceren, en het is geschreven om verschillende contexten en rechtsgebieden te ondersteunen.

Ingebouwde patronen

Als je nog niet de kans hebt gehad om met blokpatronen te spelen, hebben alle standaardthema’s nu een reeks blokpatronen waarmee je complexe lay-outs met minimale inspanning onder de knie kunt krijgen. Pas de patronen naar wens aan met de tekst, afbeeldingen en kleuren die bij je verhaal of merk passen.

REST API authenticatie met applicatie wachtwoorden

Dankzij de nieuwe autorisatiefunctie voor Application Passwords van de API kunnen apps van derden naadloos en veilig verbinding maken met je site. Met deze nieuwe REST API functie kan je zien welke apps verbinding maken met je site en bepalen wat ze doen.

Meer ondersteuning voor PHP 8

5.6 markeert de eerste stappen in de richting van WordPress Core ondersteuning voor PHP 8. Dit is een goed moment om te plannen hoe je WordPress producten, diensten en sites de nieuwste PHP-versie kunnen ondersteunen. Voor meer informatie over wat je kan verwachten, lees de PHP 8 ontwikkelaar notitie.

jQuery

Updates voor jQuery in WordPress vinden plaats in drie releases: 5.5, 5.6 en 5.7. Als we het midden van dit proces hebben bereikt, voer je de update test plugin uit om je sites van tevoren op fouten te controleren. Als je problemen hebt met de manier waarop je site er uitziet (bijv. een slider werkt niet, een knop zit vast – dat soort dingen), installeer dan de jQuery Migrate plugin.

WordPress Gutenberg-layout (620 pix)

Versienummer 5.6
Releasestatus Final
Besturingssystemen Scripttaal
Website WordPress
Download https://wordpress.org/latest.zip
Bestandsgrootte 15,76MB
Licentietype GPL

Door Bart van Klaveren

Downloads en Best Buy Guide

09-12-2020 • 10:03

18 Linkedin

Submitter: topper007

Bron: WordPress

Update-historie

Reacties (18)

Wijzig sortering
Even snel getest met php8 en nee het werkt niet goed met een hoop plugins voor plesk is er trouwens ook een update beschikbaar voor php8.
Wordpress core is bezig met de PHP8-ondersteuning; dit is vergevorderd maar misschien nog niet 100%. Sowieso wordt Wordpress nooit gebruikt zonder een thema en enige plugins, en die moeten los worden bijgewerkt door de ontwikkelaars daarvan. Voor de meer actief ondersteunde plugins/thema's zal dat snel gebeuren of is het al gebeurd. Andere zullen later, of niet, worden bijgewerkt. Dat speelt ook buiten de PHP-versie; het is altijd verstandig om plugins zorgvuldig te kiezen en ze te vervangen als ze er niet meer actief aan wordt ontwikkeld.

De upgrade naar PHP8 zal een ontwikkelaar of eigenaar bovendien zelf doen; hostingplatforms zullen voor nu nog niet zomaar klanten overzetten naar versie 8. Dus kan dit eerst getest worden, en de overstap doe je dan pas wanneer alles werkt. Oftewel: dit is niet iets dat zomaar voor problemen kan zorgen en is een actieve, bewuste overstap. PHP8 is nog erg jong en Wordpress is niet één applicatie maar een groot eco-systeem.

De overstap naar een actuele jQuery-versie is voor nu meer ingrijpend en zal veel meer sites treffen. Ook daar is het weer een kwestie van de juiste, robuuste plugins/thema's gebruiken, die actief bijwerken, of vervangen als ze niet worden bijgewerkt. Of jQuery Migrate gebruiken in de tussentijd.

[Reactie gewijzigd door geert1 op 9 december 2020 12:50]

Inderdaad, de problemen met de jQuery updates zijn voor veel gebruikers veel lastiger. Met WordPress 5.5 waren er al veel supportvragen, waarbij vaak het instellen van jQuery Migrate hielp. Nu met WordPress 5.6 is die oude jQuery Migrate niet meer beschikbaar.

In veel gevallen gaat het om jQuery code van 5 jaar geleden, met functies als 'live()', wat alleen nog in je website zit als je heel oude plugins of thema's gebruikt die al jaren niet meer onderhouden worden. Maar er zijn ook voorbeelden van goed onderhouden plugins waar toch problemen ontstaan.

Voor de duidelijkheid, ik vind het goed dat jQuery eindelijk bijgewerkt wordt binnen WordPress Core. Het kan nu ook, nu oude browsers als IE10 niet meer ondersteund hoeven te worden.
Mee eens: de jQuery-aanpassing is een noodzakelijke ruk vooruit die door backwards compatibility eerder lastig was. Veel thema's en plugins laden al een nieuwere jQuery, maar andere gebruiken juist de oeroude versie voor aansluiting bij WP core. Het zal nog een tijd onhandig blijven; sommige plugins en thema's gaan niet meer lekker werken en sommige daarvan worden ook niet meer bijgewerkt waarschijnlijk.

Er is een plugin die de oude jQuery Migrate terugbrengt, voor wie de snelste weg zoekt. Maar die plugin geeft zelf ook al aan: een site aanpassen zodat deze gewoon werkt met moderne jQuery is het beste. Migrate is een tussenoplossing, voor nood of als er echt geen tijd of geld is voor grondiger vernieuwing.
Meer ondersteuning voor PHP 8
Maar is Wordpress 5.6 nu compatible met PHP 8.0 of niet? Ik deed onlangs een test met een zeer eenvoudige Wordpress 5.5.3 website die geen enkele plugin bevatte en de website stopte met werken na te zijn overgeschakeld naar PHP 8.0.
Gelezen. Het antwoord is dus: nee, WP5.6 en PHP8 zijn nu nog niet compatible met elkaar.

[Reactie gewijzigd door Pogostokje op 9 december 2020 10:12]

Als ik dat lees dan is het antwoord eerder iets als: Het hangt er vanaf...

Ik heb zojuist dezelfde test gedaan als met Wordpress 5.5.3. Dus de update gedaan naar Wordpress 5.6 en PHP 8.0 ingeschakeld en de website lijkt nu probleemloos te werken. Maar dat komt dan waarschijnlijk alleen omdat er geen enkele plugin wordt gebruikt.

Wordpress zelf verwoord het nogal bijzonder. De Core lijkt compatible maar het ecosystem niet. En daarom noemen ze het Beta. Maar even verderop zeggen ze ook weer dat de Core niet "fully compatible" is. Echter wordt daarna ook weer verwezen naar het ecosysteem.
bedoeld als reactie op @Pogostokje maar ik faal.
Even iets meer aandacht voor de schaal waarop dit alle speelt: wordpress levert een slordige 38% van alle content op het web. Tijdens de release gisteravond / vannacht hebben ze met gepaste trots een screenshot gemaakt waarop meer dan 65M downloads van WP5.5 te zien waren. De meeste van die installaties zullen een unieke combinatie van plugins en configuratie bevatten. Met die getallen in het acherhoofd is een vraag "werkt het" nogal kort door de bocht.
WP5.6 zelf werkt op PHP8, maar bijna niemand gebruikt een kale WordPress. Je zult je dus moeten afvragen of de plugins die jouw site gebruikt, ook werken op PHP8; en dat levert een lijstje van individuele vinkjes die je toch echt zelf moet gaan halen :-)

[Reactie gewijzigd door increddibelly op 9 december 2020 15:03]

Nja, dat is dus niet wat er staat, er staat dat Wordpress 5.6 compatible is met PHP8.0 zonder grote issues. M.a.w. het is waarschijnlijk niet verstandig om het in productie te draaien maar mensen kunnen deze versie al wel gebruiken voor voorbereiding op migratie wanneer het wel volledig compatible is.
Calling WordPress 5.6 “beta compatible” is a good first step. Doing so acknowledges the hard work that has been done to get WordPress running on PHP 8 without major issues and achieve passing PHPUnit tests. It also honors the project’s commitment to being compatible with the new versions of PHP when they are released.
Zie https://make.wordpress.or...23/wordpress-and-php-8-0/

[Reactie gewijzigd door Archcry op 9 december 2020 10:12]

The state of PHP 8 support within the broader ecosystem (plugins, themes, etc.) is impossible to know. For that reason, WordPress 5.6 should be considered “beta compatible” with PHP 8.
https://make.wordpress.or...23/wordpress-and-php-8-0/
Dan nog. Zijn je plugins compatible?

Na wat tests hier door het klonen van websites (niet alleen WordPress) bleek er geen één 100% te werken.
Met name plugins/modules/custom code crashen.
Ik deed onlangs een test met een zeer eenvoudige Wordpress 5.5.3 website die geen enkele plugin bevatte en de website stopte met werken na te zijn overgeschakeld naar PHP 8.0.
Zoals ik schreef, de test was zonder plugins.

[Reactie gewijzigd door 3raser op 9 december 2020 10:45]

Nice - niet dat ik wordfence (meer) gebruik maar ik snap het wel waarom je bepaalde shit by default gewoon uit wilt hebben.

Ik kan geen fatsoenlijke changelog vinden bij wordpress zelf. Iemand een link?
Wordfence is een plug-inn voor Wordpress wat je waarschijnlijk bedoelt. :-)
Voor mensen met een prive website is Wordpress een prima programma, wel zorgen dat je plug-ins up tot date blijven voor de veiligheid.
@Drobanir
jQuery
Updates voor jQuery in WordPress vinden plaats in drie releases:5.5, 5.6 en 5.7. Als we het midden van dit proces hebben bereikt, voer je de update test plugin uit om je sites van tevoren op fouten te controleren. Als je problemen hebt met de manier waarop je site er uitziet (bijv. een slider werkt niet, een knop zit vast – dat soort dingen), installeer dan de jQuery Migrate plugin.
De links in bold gaan naar de achterkant van een wordpress website, wat niet werkt als je geen account hebt. Kunnen ze worden aangepast?
Voor diegene die nu een website hebben die na een click alleen nog zwart scherm met witte X hebben:

https://wordpress.org/sup...ress-getting-black-pages/

Op dit item kan niet meer gereageerd worden.


Apple iPhone 12 Microsoft Xbox Series X LG CX Google Pixel 5 Sony XH90 / XH92 Samsung Galaxy S21 5G Sony PlayStation 5 Nintendo Switch Lite

Tweakers vormt samen met Hardware Info, AutoTrack, Gaspedaal.nl, Nationale Vacaturebank, Intermediair en Independer DPG Online Services B.V.
Alle rechten voorbehouden © 1998 - 2021 Hosting door True